Eclipse Draw2d 3.2

## org.eclipse.draw2d.text
Class SimpleTextLayout

    java.lang.Object
      org.eclipse.draw2d.text.FlowFigureLayout
          org.eclipse.draw2d.text.TextLayout
              org.eclipse.draw2d.text.SimpleTextLayout

All Implemented Interfaces:
  LayoutManager

public class SimpleTextLayout
extends TextLayout

Since:
  2.1

Constructor Summary
`SimpleTextLayout(TextFlow flow)` Creates a new SimpleTextLayout with the given TextFlow

Method Summary
`protected void` `layout()` Called during `FlowFigureLayout.layout(IFigure)`.

Methods inherited from class org.eclipse.draw2d.text.TextLayout
`getFragment`

Methods inherited from class org.eclipse.draw2d.text.FlowFigureLayout
`getConstraint, getContext, getFlowFigure, getMinimumSize, getPreferredSize, invalidate, layout, remove, setConstraint, setFlowContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTextLayout

    public SimpleTextLayout(TextFlow flow)

  Creates a new SimpleTextLayout with the given TextFlow

Parameters:
  `flow` - the TextFlow

Method Detail

### layout

    protected void layout()

  Description copied from class: `FlowFigureLayout`
  Called during `FlowFigureLayout.layout(IFigure)`.

  Specified by:
    `layout` in class `FlowFigureLayout`
  See Also:
    `FlowFigureLayout.layout()`

Eclipse Draw2d 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.